<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd" >

<log4j:configuration>
	<appender name="console" class="org.apache.log4j.ConsoleAppender"> 
    	<param name="Target" value="System.out"/> 
    	<layout class="org.apache.log4j.PatternLayout"> 
      		<param name="ConversionPattern" value="%d [%p] %m (%F:%L)%n"/> 
    	</layout> 
  	</appender> 
	
	<appender name="general.appender" class="org.apache.log4j.FileAppender">
		<param name="Append" value="true"/>
		<param name="File" value="C:/Temp/application.log"/>
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d [%p] %m (%F:%L)%n"/>
		</layout>
	</appender>
		
	<logger name="org.springframework">
	  <level value="info"/> 
	</logger>
		
	<logger name="org.testcase">
	  <level value="info"/> 
	</logger>
	
	<root>
		<level value ="WARN"/>
		<appender-ref ref="console"/>
	</root>

</log4j:configuration>